<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('stage_academy_course_questions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('course_id')
                ->constrained('stage_academy_courses')
                ->cascadeOnDelete();
            $table->text('question_ar');
            $table->text('question_en');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('stage_academy_course_questions');
    }
};
